%define tarname ocsinventory-fermi
Summary: OCS Inventory NG - Customized for Fermilab
%if "%rhel" < "7"
Name: ocsinventory-fermi
%endif
%if "%rhel" >= "7"
Name: fermilab-util_ocsinventory
Provides: ocsinventory-fermi
%endif
Version: 0.9.9
Release: 26
Epoch: 0
License: GPL
Group: System
Source0: %{tarname}-%{version}.tar.gz
Patch1: ocsinventory-client-slf6.patch
Patch2: ocsinventory-client-ipdiscover.patch
Patch3: ocsinventory-client-eth0-vs-em1.patch
Patch4: ocsinventory-client-slf7.patch
Patch5: ocsinventory-client-proxy.patch
Patch6: ocsinventory-client-ib.patch
Patch7: ocsinventory-client-matlab.patch
Patch8: ocsinventory-client-minnow.patch
Patch9: ocsinventory-client-ip.patch
Patch10: ocsinventory-client-interfaces.patch
URL: http://ocsinventory.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

Requires: sed coreutils mailx iproute iputils bash glibc-common
Requires: perl-Compress-Zlib perl-XML-Simple perl-XML-Parser perl-URI
Requires: perl-libwww-perl perl-HTML-Parser perl-HTML-Tagset
Requires: net-tools pciutils 

# Should keep external ocsinventory-client packages from taking
# this one out and breaking our behavior
Obsoletes: ocsinventory-client

%description
Open Computer and Software Inventory Next Generation is an 
application designed to help a network or system administrator 
keep track of the computer configuration and software installed 
on the network.

This version has been customized for Fermilab

%prep
%setup -n %{tarname}-%{version} 
%patch1 -p0 
%patch2 -p0 
%patch3 -p0 
%patch4 -p0 
%patch5 -p0 
%patch6 -p0 
%patch7 -p0 
%patch8 -p0 
%patch9 -p0 
%patch10 -p0 

%build

echo 'Syntax check for the cronjob'
bash -n ocs.inventory.client.cron

%install
mkdir -p %{buildroot}/usr/sbin
cp ocsinventory-client.pl %{buildroot}/usr/sbin
#cp ipdiscover %{buildroot}/usr/sbin

mkdir -p %{buildroot}/etc/ocsinventory-client
cp ocsinv.adm %{buildroot}/etc/ocsinventory-client
cp ocsinv.conf %{buildroot}/etc/ocsinventory-client

mkdir -p %{buildroot}/etc/cron.daily
cp ocs.inventory.client.cron %{buildroot}/etc/cron.daily/z_ocs.inventory.client.cron

mkdir -p %{buildroot}/etc/sysconfig/
cp ocsinventory-fermi %{buildroot}/etc/sysconfig/

mkdir -p %{buildroot}/etc/logrotate.d
cp ocs.logrotate %{buildroot}/etc/logrotate.d/ocs

%clean
rm -rf %{buildroot}

%post
cfile="/etc/ocsinventory-client/ocsinv.conf"
grep -q HOSTNAME.DATE $cfile 2> /dev/null
if [ $? -eq 0 ] ; then
	DEVICENAME=`/bin/uname -n | cut -d . -f1 `
	DEVICEDATE="$(date +%%F-%%k-%%M-%%S)"
	DEVICEID="${DEVICENAME}-${DEVICEDATE}"
	rm -f $cfile.tmp
	cat $cfile | /bin/sed -e "s/HOSTNAME.DATE/${DEVICEID}/" > $cfile.tmp
	mv -f $cfile.tmp $cfile
else
	grep -q heis.fnal.gov $cfile
	if [ $? -eq 0 ] ; then
		cat $cfile | /bin/sed -e "s,<OCSFSERVER>heis.fnal.gov</OCSFSERVER>,<OCSFSERVER>fortytwo.fnal.gov</OCSFSERVER>\n  <XMLLOCALDIR>/etc/ocsinventory-client</XMLLOCALDIR>," > $cfile.tmp
		mv -f $cfile.tmp $cfile		
	fi
fi

%files
%defattr(-, root, root)
%dir /etc/ocsinventory-client
%defattr(0644, root, root)
%config(noreplace) /etc/ocsinventory-client/ocsinv.conf
%config(noreplace) /etc/sysconfig/ocsinventory-fermi
/etc/ocsinventory-client/ocsinv.adm
/etc/logrotate.d/ocs
%defattr(0755, root, root)
/usr/sbin/ocsinventory-client.pl
/etc/cron.daily/z_ocs.inventory.client.cron

%changelog
* Tue Mar 15 2016 Connie Sieh <csieh@fnal.gov> 0.9.9-26
- Added requires for net-tools and pciutils 

* Tue Mar 8 2016 Connie Sieh <csieh@fnal.gov> 0.9.9-25
- Changed from hardcoding what interfaces we will look at to finding all
- that are UP and have either a ipv4 or ipv6 address

* Mon Feb 15 2016 Connie Sieh <csieh@fnal.gov> 0.9.9-24
- Changed from using "ifconfig" to "ip" for NETWORKS as more consistent between
- versions.  This allows for same version for 5, 6 and 7

* Mon Feb 15 2016 Connie Sieh <csieh@fnal.gov> 0.9.9-23
- Added "np2s" to the NETWORKS interface search for minnowboard 

* Thu Oct 1 2015 Connie Sieh <csieh@fnal.gov> 0.9.9-22
- Added /usr/local/MATLAB and /usr/matlab as default search dirs for matlab 

* Fri Sep 25 2015 Connie Sieh <csieh@fnal.gov> 0.9.9-21
- Added support to Softwares to collect data about matlab 

* Mon Apr 20 2015 Connie Sieh <csieh@fnal.gov> 0.9.9-19
- added ability to use a proxy via <PROXY>proxyurl<\PROXY> entry to
- /etc/ocsinventory/ocsinv.conf
- Also can define proxy with environment variable http_proxy
- http_proxy overrides <PROXY>proxyurl<\PROXY> 
- proxy has to be defined with full url -- http://proxyserver:port

* Mon Apr 20 2015 Connie Sieh <csieh@fnal.gov> 0.9.9-18
- added /usr/lib64/perl5/vendor_perl to @INC for RHEL 7 like systems 

* Tue Mar 18 2014 Connie Sieh <csieh@fnal.gov> 0.9.9-17
- On SLF 6 some systems now use a name other than ethx for ethernet
- On Dell systems in particular  em1 is used 
- Symptom of this was no "NETWORKS" entry sent to server

* Wed Apr 25 2012 Pat Riehecky <riehecky@fnal.gov> 0.9.9-16
- made /etc/sysconfig/ocsinventory-fermi for control values
- merged Connie's 'ip addr' patch for the cronjob
- added requirement for iproute and iputils
- added extra check for DNS resolution
- added syntax check for cronjob at build time

* Mon Feb 13 2012 Pat Riehecky <riehecky@fnal.gov> 0.9.9-15
- added missing dependency on /bin/mail
- added /usr/lib/perl5/vendor_perl to @INC for non SLF systems (patch)
- added /usr/share/perl5/vendor_perl to @INC for non SLF systems (patch)

* Thu Dec 8 2011 Connie Sieh <csieh@fnal.gov> 0.9.9-14
- replaced "ifconfig" to "ip addr" in z_ocs.inventory.client.cron
- ifconfig did not work with infiniband

* Mon Dec 27 2010 Troy Dawson <dawson@fnal.gov> 0.9.9-12
- changed the name to ocsinventory-fermi
- Changed PreReq to Requires

* Mon Dec 14 2009 Troy Dawson <dawson@fnal.gov> 0.9.9-11
- Removed ipdiscover from the rpm, removing i386 dependancies

* Mon Jun 15 2009 Connie Sieh <sieh@fnal.gov> 0.9.9-10
- Updated the code to determine $distro and $OSComment for STS and Ubuntu

* Fri Aug 31 2007 Troy Dawson <dawson@fnal.gov> 0.9.9-8
- Added coreutils as a prereq

* Thu Jul 20 2006 Troy Dawson <dawson@fnal.gov> 0.9.9-7
- Updated cron to check to see if it can access the server
  and goes through a list of domains to see if it's at Fermilab

* Fri Jul 13 2006 Troy Dawson <dawson@fnal.gov> 0.9.9-6
- Turned off debugging, check to see if we're on fermilab networks
- Write to a log, and do logrotate
- Minor fixes to the client to now do --local --xml

* Fri Jun 2 2006 Troy Dawson <dawson@fnal.gov> 0.9.9-1
- Client now points to fortytwo as the server
- cronjob now moved to z_... to get a more random time

* Fri Jun 2 2006 Troy Dawson <dawson@fnal.gov> 0.9.8-3
- Client was updated 
- Fixes issues with users using ups perl
- Fixed issue when the rpm comments field has a newline in it.
- Turned debug on the cron job so mail will get sent

* Tue May 30 2006 Troy Dawson <dawson@fnal.gov> 0.9.8-2
- Client was updated 

* Wed May 24 2006 Troy Dawson <dawson@fnal.gov> 0.9.8-1
- Client was updated 
- Cron script was added

* Mon May 15 2006 Troy Dawson <dawson@fnal.gov> 0.9.1-2
- Client was updated 

* Thu Apr 13 2006 Troy Dawson <dawson@fnal.gov> 0.9.1-1
- Updated the client

* Thu Apr 13 2006 Troy Dawson <dawson@fnal.gov> 0.9-3
- Added Requires
- Note that kernel-utils isn't required, but give a 
warning if not installed

* Thu Apr 13 2006 Troy Dawson <dawson@fnal.gov> 0.9-2
- Added ipdiscover

* Thu Apr 13 2006 Troy Dawson <dawson@fnal.gov> 0.9-1
- Initial spec file
